Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Parsers and utilities for the Senate LD-1/LD-2 database.
Python

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
debian
doc
lobbyists
.gitignore
AUTHORS
COPYING
INSTALL
Makefile
README
TODO
ez_setup.py
setup.py

README

SUMMARY
-------

This package provides a reference parser and database importer for the
United States Senate LD-1/LD-2 lobbying disclosure database. The
Senate provides the database as a series of XML documents,
downloadable here:

http://www.senate.gov/legislative/Public_Disclosure/database_download.htm

The SQL database schema used by the importer is a direct translation
of the XML schema used in the Senate documents. This isn't a
particularly useful format for analyzing lobbying data, but it is
useful for analyzing the lobbying records themselves, which often
contain errors or anomalies. In any case, it shouldn't be too
difficult to adapt the importing code in this package to a more useful
schema.

For information on how to interpret the LD-1/LD-2 database, see here:

http://watchdog.jottit.com/lobbying_database


REQUIREMENTS
------------

This package requires Python 2.5.1 or later.


SCRIPTS
-------

The lobbyists-load script loads one or more XML documents into a
database.

The lobbyists-benchmark script loads one XML document into a database,
and reports the amount of time required to a) parse the document and
b) import the parsed records into the database. It's mainly
interesting for developers working on the lobbyists package itself.
Something went wrong with that request. Please try again.